Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 2 of 2
  1. #1
    jeziorm Guest

    Default Open-xchange compile problem

    Hello!

    I`m tryin go compile my open-xchange - ant -Dlib.dir=/opt/open-xchange/lib install

    but the error apers:

    compile:
    [javac] Compiling 1086 source files to /progsy/open/open-xchange/build
    [javac] ----------
    [javac] 1. ERROR in /progsy/open/open-xchange/src/com/openexchange/ajax/helper/ParamContainerException.java (at line 1)
    [javac] /*
    [javac] ^^
    [javac] The type Enum is not generic; it cannot be parameterized with arguments <ParamContainerException.Code>
    [javac] ----------
    [javac] 1 problem (1 error)

    BUILD FAILED
    /progsy/open/open-xchange/build.xml:114: Compile failed; see the compiler error output for details.


    What is the problem? How can i resolve this?

  2. #2
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    which branch do you use? Head or bf_6_4?
    It seems some libraries are missing or the build environment is not sane.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •